package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaInfraTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaInfraType;
import com.loafle.overflow.service.central.meta.MetaInfraTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */

@Service("MetaInfraTypeService")
public class CentralMetaInfraTypeService implements MetaInfraTypeService {

    @Autowired
    private MetaInfraTypeDAO infraTypeDAO;

    public List<MetaInfraType> readAll() throws OverflowException {
        return this.infraTypeDAO.findAll();
    }
}
