package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaProbeTaskTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaProbeTaskType;
import com.loafle.overflow.service.central.meta.MetaProbeTaskTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */

@Service("MetaProbeTaskTypeService")
public class CentralMetaProbeTaskTypeService implements MetaProbeTaskTypeService {

    @Autowired
    private MetaProbeTaskTypeDAO probeTaskTypeDAO;

    public List<MetaProbeTaskType> readAll() throws OverflowException {
        return this.probeTaskTypeDAO.findAll();
    }
}
