package com.loafle.overflow.central.proxy.exception;

import com.loafle.overflow.central.commons.exception.OverflowException;
import io.grpc.Status;

public class InvalidParameterException extends OverflowException {
    private static final Status.Code code = Status.Code.INVALID_ARGUMENT;
    public InvalidParameterException() {
        super(code);
    }

    public InvalidParameterException(String message) {
        super(code, message);
    }
}
