package com.loafle.overflow.central.module.infra.dao;

import com.loafle.overflow.central.module.probe.model.Probe;
import com.loafle.overflow.central.spring.AppConfigTest;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by snoop on 17. 9. 14.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class InfraDAOTest {

    @Autowired
    private InfraDAO infraDAO;

    @Test
    public void findAllByProbeList() throws Exception {

        List<Probe> probes = new ArrayList<>();

        Probe probe = new Probe();
        probe.setId(1);

        probes.add(probe);


        this.infraDAO.findAllTargetByProbeList(probes);

    }

}