package com.loafle.overflow.central.module.infra.service;


import com.loafle.overflow.central.module.infra.model.InfraHost;
import com.loafle.overflow.central.module.infra.model.InfraService;
import com.loafle.overflow.central.module.meta.model.MetaInfraType;
import com.loafle.overflow.central.module.meta.model.MetaInfraVendor;
import com.loafle.overflow.central.spring.AppConfigTest;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 7. 28.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class InfraServiceServiceTest {

    @Autowired
    private InfraServiceService infraServiceService;

//    @Ignore
    @Test
    public void regist() throws Exception {

        InfraService infraService = new InfraService();

        infraService.setPort(80);
        infraService.setPortType("TCP");

        InfraHost infraHost = new InfraHost();
        infraHost.setId(3);

        infraService.setHost(infraHost);
        infraService.setTlsType(false);

        MetaInfraVendor metaInfraVendor = new MetaInfraVendor();
        metaInfraVendor.setId(45);

        infraService.setVendor(metaInfraVendor);

        MetaInfraType metaInfraType = new MetaInfraType();
        metaInfraType.setId(7);


        this.infraServiceService.regist(infraService);

        Assert.assertNotEquals(infraService.getId(), 0);
    }

    @Test
    public void read() throws Exception {
    }


    @Test
    public void readByService() {

        InfraService infraService = this.infraServiceService.readByService(3, 80, "TCP");

        Assert.assertNotEquals(infraService, null);

    }
}