package com.loafle.overflow.central.module.member.dao;

import com.loafle.overflow.central.module.member.model.Member;
import com.loafle.overflow.central.module.meta.model.MetaMemberStatus;
import com.loafle.overflow.central.spring.*;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by geek on 17. 6. 28.
 */

@Ignore
@RunWith(SpringJUnit4ClassRunner.class)
@ActiveProfiles("test")
@ContextConfiguration(classes = {AppConfigTest.class})
public class MemberDAOTest {

    @Autowired
    private MemberDAO repo;

//    @Ignore
    @Test
    public void createMember() {
        Member m = new Member();
        BCryptPasswordEncoder passwordEncoder = new BCryptPasswordEncoder();
        m.setName("insanity2");
        m.setCompanyName("loafle");
        m.setPw(passwordEncoder.encode("!@#$qwer1234"));
//        m.setPw("!@#$qwer1234");
        m.setPhone("000-000-0000");
        m.setEmail("geekhot@hotmail.co.kr");
        m.setStatus(new MetaMemberStatus((short)1));

        repo.save(m);
        Assert.assertNotEquals(m.getId(), 0);
    }

    @Test
    public void findByEmail() throws Exception {
        Member member = new Member(1);
        member.setEmail("overflow@loafle.com");
        
        Member rr = repo.findByEmail("overflow@loafle.com");
        Assert.assertNotNull(rr);
//        System.out.println("rr.getCompanyName() = " + rr.getCompanyName());
    }

}