package com.loafle.overflow.central.module.member.dao;

import com.loafle.overflow.central.module.member.model.Member;
import com.loafle.overflow.central.module.member.model.MemberTotp;
import com.loafle.overflow.central.spring.AppConfigTest;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import static org.junit.Assert.*;

/**
 * Created by geek on 18. 3. 9.
 */
@Ignore
@RunWith(SpringJUnit4ClassRunner.class)
@ActiveProfiles("test")
@ContextConfiguration(classes = {AppConfigTest.class})
public class MemberTotpDAOTest {

    @Autowired
    private MemberTotpDAO dao;

    @Test
    public void insertTest() throws Exception {
        MemberTotp totp = new MemberTotp();
        totp.setSecretCode("AI6EWOYSZWEBAI2D");
        totp.setMember(new Member(2));
        this.dao.save(totp);
    }
    @Test
    public void findBySecretCode() throws Exception {
    }

    @Test
    public void findByMember() throws Exception {
        MemberTotp totp = new MemberTotp();
        totp.setSecretCode("EDPBZLDATGZP7NX2");
        totp.setMember(new Member(2));
        this.dao.save(totp);

        MemberTotp totp1 = this.dao.findByMember(totp.getMember());

        assertNotNull(totp1);
    }
}