package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.model.MetaProbeArchitecture;
import com.loafle.overflow.central.spring.AppConfigTest;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by snoop on 17. 7. 27.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class CentralMetaProbeArchitectureServiceTest {

    @Autowired
    private MetaProbeArchitectureService probeArchitectureService;

    @Test
    public void readAll() throws Exception {

        List<MetaProbeArchitecture> probeArchitectures = this.probeArchitectureService.readAll();

        Assert.assertNotEquals(probeArchitectures.size(), 0);
    }

}