package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaCrawlerInputItemDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCrawler;
import com.loafle.overflow.model.meta.MetaCrawlerInputItem;
import com.loafle.overflow.service.central.meta.MetaCrawlerInputItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaCrawlerInputItemService")
public class CentralMetaCrawlerInputItemService implements MetaCrawlerInputItemService {

    @Autowired
    private MetaCrawlerInputItemDAO crawlerInputItemDAO;

    public List<MetaCrawlerInputItem> readAllByMetaCrawler(MetaCrawler metaCrawler) throws OverflowException {
        return this.crawlerInputItemDAO.findAllByCrawler(metaCrawler);
    }
}
