package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaCrawlerDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCrawler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaCrawlerService")
public class CentralMetaCrawlerService {

    @Autowired
    private MetaCrawlerDAO crawlerDAO;

    public List<MetaCrawler> readAll() throws OverflowException {
        return this.crawlerDAO.findAll();
    }
}
