package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaHistoryTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaHistoryType;
import com.loafle.overflow.service.central.meta.MetaHistoryTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */

@Service("MetaHistoryTypeService")
public class CentralMetaHistoryTypeService implements MetaHistoryTypeService {

    @Autowired
    private MetaHistoryTypeDAO hisotyTypeDAO;

    public List<MetaHistoryType> readAll() throws OverflowException {
        return this.hisotyTypeDAO.findAll();
    }

    public MetaHistoryType regist(MetaHistoryType type) throws OverflowException {
        return this.hisotyTypeDAO.save(type);
    }

    public List<MetaHistoryType> registAll(List<MetaHistoryType> types) throws OverflowException {
        return this.hisotyTypeDAO.save(types);
    }
}
