package com.loafle.overflow.central.module.probe.dao;

import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.probe.Probe;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * Created by insanity on 17. 5. 29.
 */
@Repository
public interface ProbeDAO extends JpaRepository<Probe, Long> {

    Probe findByProbeKey(String probeKey);
    List<Probe> findAllByDomainOrderByIdDesc(Domain domain);
}