package com.loafle.overflow.central.module.probe.service;

import com.loafle.overflow.central.module.probe.dao.ProbeHostDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.probe.Probe;
import com.loafle.overflow.model.probe.ProbeHost;
import com.loafle.overflow.service.central.probe.ProbeHostService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by snoop on 17. 8. 21.
 */
@Service("ProbeHostService")
public class CentralProbeHostService implements ProbeHostService {

    @Autowired
    private ProbeHostDAO probeHostDAO;

    public ProbeHost readByProbe(Probe probe) throws OverflowException {
        return this.probeHostDAO.findByProbe(probe);
    }

    public ProbeHost regist(ProbeHost probeHost) throws OverflowException {
        return this.probeHostDAO.save(probeHost);
    }
}
