package com.loafle.overflow.central.module.target.service;

import com.loafle.overflow.central.module.infra.service.*;
import com.loafle.overflow.service.central.target.TargetService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by snoop on 17. 6. 28.
 */
@Service("TargetDiscoveryService")
public class TargetDiscoveryService {

    @Autowired
    private TargetService targetService;

    @Autowired
    private InfraMachineService infraMachineService;

    @Autowired
    private InfraOSService infraOSService;

    @Autowired
    private InfraHostService infraHostService;

    @Autowired
    private com.loafle.overflow.central.module.infra.service.InfraService infraService;

    @Autowired
    private InfraOSPortService infraOSPortService;

    @Autowired
    private InfraServiceService infraServiceService;

    // @Transactional
    // public boolean saveAllTarget(List<Host> hosts, Probe probe) {

    //     InfraHost infraHost = null;

    //     for(Host host : hosts) {

    //         infraHost = this.createAndReadHost(host, probe);

    //         this.createPort(infraHost, host, probe);

    //     }
    //     return true;
    // }

    // private void createService(InfraHost infraHost, Port port, Probe probe) {

    //     if(port.getServices() == null) {
    //         return;
    //     }

    //     MetaInfraType typeService = new MetaInfraType();
    //     typeService.setId(7);

    //     String portType = "UDP";

    //     if(port.getPortType() == PortType.TLS || port.getPortType() == PortType.TCP) {
    //         portType = "TCP";
    //     }

    //     for(com.loafle.overflow.central.module.discovery.model.Service service : port.getServices()) {

    //         InfraService dbInfraService = this.infraServiceService.readByService(infraHost.getId(), port.getPortNumber(), portType);

    //         if(dbInfraService != null) {
    //             if(service.isTarget() && dbInfraService.getTarget() == null) {
    //                 Target targetService = new Target();
    //                 targetService.setDisplayName(service.getServiceName() + "-Service");
    //                 this.targetService.regist(targetService);
    //                 dbInfraService.setTarget(targetService);
    //                 this.infraServiceService.regist(dbInfraService);
    //             }
    //             continue;
    //         }

    //         InfraService infraService = new InfraService();
    //         infraService.setHost(infraHost);
    //         infraService.setPort(port.getPortNumber());
    //         infraService.setPortType(portType);
    //         infraService.setInfraType(typeService);
    //         infraService.setProbe(probe);

    //         if (port.getPortType() == PortType.TLS) {
    //             infraService.setTlsType(true);
    //         }
    //         infraService.setVendor(MetaInfraVendor.CreateInfraVendorByService(service.getServiceName()));

    //         if(service.isTarget()) {
    //             Target targetService = new Target();
    //             targetService.setDisplayName(service.getServiceName() + "-Service");
    //             this.targetService.regist(targetService);
    //             infraService.setTarget(targetService);
    //         }

    //         this.infraServiceService.regist(infraService);

    //     }

    // }

    // private void createPort(InfraHost infraHost, Host host, Probe probe) {

    //     if(host.getPorts() == null) {
    //         return;
    //     }

    //     String portType = "UDP";

    //     MetaInfraType typePort = new MetaInfraType();
    //     typePort.setId(6);

    //     InfraOS infraOS = infraHost.getOs();

    //     for(Port port : host.getPorts()) {

    //         if(port.getPortType() == PortType.TLS || port.getPortType() == PortType.TCP) {
    //             portType = "TCP";
    //         }

    //         InfraOSPort dbInfraOSPort = this.infraOSPortService.readByPort(infraOS.getId(), port.getPortNumber(), portType);
    //         if(dbInfraOSPort == null) {
    //             InfraOSPort infraOSPort = new InfraOSPort();
    //             infraOSPort.setOs(infraOS);
    //             infraOSPort.setPort(port.getPortNumber());
    //             infraOSPort.setPortType(portType);
    //             infraOSPort.setProbe(probe);
    //             infraOSPort.setInfraType(typePort);

    //             if (port.getPortType() == PortType.TLS) {
    //                 infraOSPort.setTlsType(true);
    //             }
    //             infraOSPort.setVendor(MetaInfraVendor.CreateInfraVendorByPort(port.getPortNumber()));
    //             this.infraOSPortService.regist(infraOSPort);
    //         }

    //         this.createService(infraHost, port, probe);
    //     }
    // }

    // private InfraHost createAndReadHost(Host host, Probe probe) {

    //     InfraHost infraHost = this.infraHostService.readByIp(host.getIp());
    //     if(infraHost != null) {

    //         if(host.isTarget() && infraHost.getTarget() == null) {
    //             Target target = new Target();
    //             target.setDisplayName(String.valueOf(host.getIp()) + "-Host");

    //             this.targetService.regist(target);
    //             infraHost.setTarget(target);
    //             this.infraHostService.regist(infraHost);
    //         }

    //         return infraHost;
    //     } else {
    //         MetaInfraType typeMachine = new MetaInfraType();
    //         typeMachine.setId(1); // 1 = Machine;

    //         MetaInfraType typeOS = new MetaInfraType();
    //         typeOS.setId(3); // 3 = Os

    //         MetaInfraType typeHost = new MetaInfraType();
    //         typeHost.setId(2); // 2 = Host

    //         InfraMachine infraMachine = new InfraMachine();
    //         infraMachine.setProbe(probe);
    //         infraMachine.setInfraType(typeMachine);
    //         infraMachine.setMeta(StringConvertor.intToIp(host.getIp())+"-MACHINE");
    //         this.infraMachineService.regist(infraMachine);

    //         InfraOS infraOS = new InfraOS();
    //         infraOS.setMachine(infraMachine);
    //         infraOS.setVendor(MetaInfraVendor.CreateInfraVendorByOS(host.getOs()));
    //         infraOS.setInfraType(typeOS);
    //         infraOS.setProbe(probe);
    //         infraOS.setMeta(StringConvertor.intToIp(host.getIp())+"-OS");
    //         this.infraOSService.regist(infraOS);

    //         InfraHost newInfraHost = new InfraHost();
    //         newInfraHost.setIp(host.getIp());
    //         newInfraHost.setMac(host.getMac());
    //         newInfraHost.setOs(infraOS);
    //         newInfraHost.setInfraType(typeHost);
    //         newInfraHost.setProbe(probe);

    //         if(host.isTarget()) {
    //             Target target = new Target();
    //             target.setDisplayName(StringConvertor.intToIp(host.getIp()) + "-Host");

    //             this.targetService.regist(target);
    //             newInfraHost.setTarget(target);
    //         }

    //         this.infraHostService.regist(newInfraHost);
    //         infraHost = newInfraHost;
    //     }



    //     return infraHost;
    // }




}
