package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.model.InfraOS;
import com.loafle.overflow.central.module.infra.model.InfraOSPort;
import com.loafle.overflow.central.module.meta.model.MetaInfraType;
import com.loafle.overflow.central.spring.AppConfigTest;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 7. 28.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class InfraOSPortServiceTest {

    @Autowired
    private InfraOSPortService infraOSPortService;

//    @Ignore
    @Test
    public void regist() throws Exception {

        InfraOSPort infraOSPort = new InfraOSPort();
        infraOSPort.setTlsType(false);
        infraOSPort.setPortType("TCP");

        InfraOS infraOS = new InfraOS();
        infraOS.setId(1);

        MetaInfraType metaInfraType = new MetaInfraType();
        metaInfraType.setId(2);


        infraOSPort.setOs(infraOS);

        // FIXME::vendor???

    }

    @Test
    public void read() throws Exception {
    }

    @Test
    public void readByPort() {

        InfraOSPort infraOSPort = this.infraOSPortService.readByPort(1, 22, "TCP");

        Assert.assertNotEquals(infraOSPort, null);

    }

}