package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.commons.model.PageParams;
import com.loafle.overflow.central.module.domain.model.Domain;
import com.loafle.overflow.central.module.infra.model.Infra;
import com.loafle.overflow.central.module.probe.model.Probe;
import com.loafle.overflow.central.module.probe.service.ProbeService;
import com.loafle.overflow.central.module.target.model.Target;
import com.loafle.overflow.central.spring.AppConfigTest;
import org.codehaus.jackson.map.ObjectMapper;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.io.IOException;

import static org.junit.Assert.assertNotNull;

/**
 * Created by snoop on 17. 7. 27.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class InfraServiceTest {

    @Autowired
    private InfraService infraService;

    @Autowired
    private ProbeService probeService;

    @Autowired
    private InfraMachineService infraMachineService;



    @Test
    public void tttt() {

    }

    @Test
    public void readAllByProbe() throws IOException {
        Probe probe = new Probe();
        probe.setId(1);
        PageParams pageParams = new PageParams();
        pageParams.setCountPerPage(100);
        pageParams.setPageNo(0);
        pageParams.setSortCol("id");
        pageParams.setSortDirection("descending");
        Page<Infra> list = this.infraService.readAllByProbe(probe, pageParams);

        assertNotNull(list);
    }

    @Test
    public void read() throws Exception {

//        registInfraMachine();

        Infra infra = this.infraService.read(1);

        ObjectMapper objectMapper = new ObjectMapper();
        String json = objectMapper.writeValueAsString(infra);

        System.out.println(json);
    }

//    @Test
//    public void readAllProbe() throws IOException {
//
//        Probe probe = new Probe();
//        probe.setId(1);
//
//        List<Infra> infraList = this.infraService.readAllByProbe(probe);
//
//        ObjectMapper objectMapper = new ObjectMapper();
//        String json = objectMapper.writeValueAsString(infraList);
//
//        System.out.println(json);
//
//    }

    @Test
    public void readAllTarget() {
        Domain domain = new Domain();
        domain.setId(1);

//        this.infraService.readAllTargetByProbeList()
    }

    @Test
    public void readByTarget() throws IOException {
        Target target =  new Target();
        target.setId(1);

        Infra infra = this.infraService.readByTarget(target);

        ObjectMapper objectMapper = new ObjectMapper();
        String json = objectMapper.writeValueAsString(infra);

        System.out.println(json);
    }

//    @Test
//    public void readAllByProbeList() throws IOException {
//
//        Domain domain = new Domain();
//        domain.setId(1);
//
//
//        List<Infra> fl = this.infraService.readAllByDomain(domain);
//
//        System.out.println(fl.size());
//        ObjectMapper objectMapper = new ObjectMapper();
//        String json = objectMapper.writeValueAsString(fl);
//
//        System.out.println(json);
//
//    }

}