package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.model.MetaSensorDisplayItem;
import com.loafle.overflow.central.module.meta.model.MetaSensorItemKey;
import com.loafle.overflow.central.spring.AppConfigTest;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

/**
 * Created by insanity on 17. 11. 7.
 */

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class MetaSensorDisplayMappingServiceTest {

    @Autowired
    MetaSensorDisplayMappingService service;


    @Test
    public void read() {
        List<MetaSensorItemKey> list = this.service.findAllByDisplayItem(new MetaSensorDisplayItem(1));
        Assert.assertNotNull(list);
    }
}
