package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.model.MetaCrawler;
import com.loafle.overflow.central.module.meta.model.MetaSensorItemKey;
import com.loafle.overflow.central.spring.AppConfigTest;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Map;

/**
 * Created by snoop on 17. 8. 29.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class MetaSensorItemKeyServiceTest {

    @Autowired
    private MetaSensorItemKeyService metaSensorItemKeyService;


    @Test
    public void readAllByCrawler() {
        MetaCrawler metaCrawler = new MetaCrawler();
        metaCrawler.setId((short)11);

        Map<Integer, MetaSensorItemKey> resultMap = this.metaSensorItemKeyService.readAllMapByCrawler(metaCrawler);

        Assert.assertNotEquals(resultMap.size(), 0);

    }

}