package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.model.MetaSensorItemUnit;
import com.loafle.overflow.central.spring.AppConfigTest;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 7. 27.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class MetaSensorItemUnitServiceTest {

    @Autowired
    private MetaSensorItemUnitService service;

    @Test
    @Ignore
    public void regist() throws Exception {

        MetaSensorItemUnit defaultValue = new MetaSensorItemUnit();
        defaultValue.setId((short)0);
        defaultValue.setUnit("");
        defaultValue.setMark("");
        this.service.regist(defaultValue);


        MetaSensorItemUnit unit1 = new MetaSensorItemUnit();
        unit1.setId((short)1);
        unit1.setUnit("Percentage");
        unit1.setMark("%");
        this.service.regist(unit1);

        MetaSensorItemUnit unit2 = new MetaSensorItemUnit();
        unit2.setId((short)2);
        unit2.setUnit("Byte");
        unit2.setMark("Bytes");
        this.service.regist(unit2);

        MetaSensorItemUnit unit3 = new MetaSensorItemUnit();
        unit3.setId((short)3);
        unit3.setUnit("KByte");
        unit3.setMark("KB");
        this.service.regist(unit3);

        MetaSensorItemUnit unit4 = new MetaSensorItemUnit();
        unit4.setId((short)4);
        unit4.setUnit("MByte");
        unit4.setMark("MB");
        this.service.regist(unit4);

        MetaSensorItemUnit unit5 = new MetaSensorItemUnit();
        unit5.setId((short)5);
        unit5.setUnit("GByte");
        unit5.setMark("GB");
        this.service.regist(unit5);

        MetaSensorItemUnit unit6 = new MetaSensorItemUnit();
        unit6.setId((short)6);
        unit6.setUnit("Count");
        unit6.setMark("");
        this.service.regist(unit6);

        MetaSensorItemUnit unit7 = new MetaSensorItemUnit();
        unit7.setId((short)7);
        unit7.setUnit("Jiffy");
        unit7.setMark("Jiffies");
        this.service.regist(unit7);

        MetaSensorItemUnit unit8 = new MetaSensorItemUnit();
        unit8.setId((short)8);
        unit8.setUnit("Byte Per Second");
        unit8.setMark("BPS");
        this.service.regist(unit8);

        MetaSensorItemUnit unit9 = new MetaSensorItemUnit();
        unit9.setId((short)9);
        unit9.setUnit("Packet Per Second");
        unit9.setMark("PPS");
        this.service.regist(unit9);
    }

}