package com.loafle.overflow.central.module.notification.service;

import com.loafle.overflow.central.module.member.model.Member;
import com.loafle.overflow.central.module.notification.model.Notification;
import com.loafle.overflow.central.spring.AppConfigTest;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Date;

/**
 * Created by insanity on 17. 8. 25.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class NotificationServiceTest {
    @Autowired
    private NotificationService notificationService;

    @Test
    public void testRegist() {
        for (int i=0; i<30; i++) {
            Notification n = new Notification();
            n.setMember(new Member(1));
            n.setTitle("Title"+i);
            n.setMessage("Message"+i);
            if(i<20) {
                n.setConfirmDate(new Date());
            }
            this.notificationService.regist(n);
        }
    }

//    @Test
//    @Ignore
//    public void testReadAll() {
//        this.testRegist();
//        Page<Notification> notis = this.notificationService.readAllByMember(new Member(1), 0, 10);
//        Assert.assertEquals(30, notis.getTotalElements());
//    }
//
//    @Test
//    @Ignore
//    public void testReadAllUnread() {
//        this.testRegist();
//        Page<Notification> notis = this.notificationService.readAllUnconfirmedByMember(new Member(1), 0, 10);
//        Assert.assertEquals(15, notis.getTotalElements());
//    }
}
